Name:           kyocera-rastertokpsl-ru
Version:        1.12.03
Release:        alt2
Summary:        PPD file for Kyocera FS-1020MFP (original package, Russian patch)
Packager:       w00zy <w00zy@yandex.ru>
License:        MIT
URL:            https://www.kyoceradocumentsolutions.ru/ru.html
###Source:      https://www.kyoceradocumentsolutions.ru/content/download-center/ru/drivers/all/LinuxDrv_1_1203_FS_1x2xMFP_zip.download.zip
Source0:        kyocera-fix-ru.tar.gz
Group:          System/Configuration/Printing
Obsoletes:      kyosera-FS-1x2xMFP-ppds

BuildRequires: libcups-devel libjbig-devel  
Requires:       cups

%description
PPD file for Kyocera FS-1020MFP (Russian)
Original package fixed BUG Russian lang
Kyocera_1125MFPGDI.ppd
Kyocera_FS-1020MFPGDI.ppd
Kyocera_FS-1025MFPGDI.ppd
Kyocera_FS-1040GDI.ppd
Kyocera_FS-1060DNGDI.ppd
Kyocera_FS-1120MFPGDI.ppd

%prep
%{__mkdir} -p %{name}-%{version}
%{__tar} -xzvf %{SOURCE0} -C %{_builddir}/%{name}-%{version} --strip-components 1
#%%autopatch
#%%setup -q -n %{name}-%{version}

%build
#%%clean_buildroot

%install

pushd  %{_builddir}/%{name}-%{version}

install -d -m 755 %{buildroot}%{_datadir}/cups/model
install -d -m 755 %{buildroot}%{_datadir}/cups/model/Kyocera
install -d -m 755 %{buildroot}%{_target_libdir_noarch}/cups/filter

install -p -m 644 Kyocera_FS-1040GDI.ppd %{buildroot}%{_datadir}/cups/model/Kyocera/Kyocera_FS-1040GDI.ppd
install -p -m 644 Kyocera_FS-1020MFPGDI.ppd %{buildroot}%{_datadir}/cups/model/Kyocera/Kyocera_FS-1020MFPGDI.ppd
install -p -m 644 Kyocera_FS-1025MFPGDI.ppd %{buildroot}%{_datadir}/cups/model/Kyocera/Kyocera_FS-1025MFPGDI.ppd
install -p -m 644 Kyocera_FS-1120MFPGDI.ppd %{buildroot}%{_datadir}/cups/model/Kyocera/Kyocera_FS-1120MFPGDI.ppd
install -p -m 644 Kyocera_FS-1125MFPGDI.ppd %{buildroot}%{_datadir}/cups/model/Kyocera/Kyocera_1125MFPGDI.ppd
install -p -m 644 Kyocera_FS-1060DNGDI.ppd %{buildroot}%{_datadir}/cups/model/Kyocera/Kyocera_FS-1060DNGDI.ppd

install -p -m 755 rastertokpsl %{buildroot}%{_target_libdir_noarch}/cups/filter/rastertokpsl
install -p -m 755 rastertokpsl-kyocera.sh %{buildroot}%{_target_libdir_noarch}/cups/filter/rastertokpsl-kyocera.sh


%files
%defattr(-,root,root)
%{_target_libdir_noarch}/cups/filter/rastertokpsl
%{_target_libdir_noarch}/cups/filter/rastertokpsl-kyocera.sh
%{_datadir}/cups/model/Kyocera/Kyocera_1125MFPGDI.ppd
%{_datadir}/cups/model/Kyocera/Kyocera_FS-1020MFPGDI.ppd
%{_datadir}/cups/model/Kyocera/Kyocera_FS-1025MFPGDI.ppd
%{_datadir}/cups/model/Kyocera/Kyocera_FS-1040GDI.ppd
%{_datadir}/cups/model/Kyocera/Kyocera_FS-1060DNGDI.ppd
%{_datadir}/cups/model/Kyocera/Kyocera_FS-1120MFPGDI.ppd


%changelog
* Wed Jul 25 2022 builder
- Changed for distribution Alt Linux P10

* Wed Jun 29 2022 builder
- PPD file for Kyocera FS-1020MFP (Russian)
- Original package fixed BUG Russian lang
